Package org.eclipse.net4j.util.container

# Interface IContainer.Persistence<E>

All Known Implementing Classes:
  `ContainerPersistence`, `FileContainerPersistence`

Enclosing interface:
  `IContainer<E>`

public static interface IContainer.Persistence<E>

Since:
  3.5
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`Collection<E>`
`loadElements()`
`void`
`saveElements(Collection<E> elements)`

## Method Details

### loadElements

Collection<E> loadElements() throws IORuntimeException

Throws:
  `IORuntimeException`

### saveElements

void saveElements(Collection<E> elements) throws IORuntimeException

Throws:
  `IORuntimeException`